import { Command } from '@oclif/core';
import { FileResponse } from '@salesforce/source-deploy-retrieve';
export declare type DeployMetadataResult = FileResponse[];
export default class DeployMetadata extends Command {
    static readonly description: string;
    static readonly summary: string;
    static readonly examples: string[];
    static flags: {
        metadata: import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        manifest: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        'deploy-dir': import("@oclif/core/lib/interfaces").OptionFlag<string[]>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<string>;
        'test-level': import("@oclif/core/lib/interfaces").OptionFlag<string>;
        wait: import("@oclif/core/lib/interfaces").OptionFlag<number>;
    };
    run(): Promise<DeployMetadataResult>;
    protected toSuccessJson(result: FileResponse[]): {
        status: number;
        result: FileResponse[];
    };
    protected toErrorJson(err: unknown): {
        status: number;
        err: unknown;
    };
}
